# This file is auto-generated from the current state of the database. Instead of editing this file, 
# please use the migrations feature of Active Record to incrementally modify your database, and
# then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your database schema. If you need
# to create the application database on another system, you should be using db:schema:load, not running
# all the migrations from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 3)

  create_table "candidates", :force => true do |t|
    t.integer "election_id",                :null => false
    t.string  "name",        :limit => 100, :null => false
    t.text    "description"
  end

  create_table "elections", :force => true do |t|
    t.string   "name",            :limit => 100,                    :null => false
    t.text     "description",                                       :null => false
    t.integer  "anonymous",       :limit => 1,   :default => 1,     :null => false
    t.datetime "startdate"
    t.datetime "enddate",                                           :null => false
    t.integer  "active",          :limit => 1,   :default => 0,     :null => false
    t.integer  "viewable",        :limit => 1,   :default => 1,     :null => false
    t.integer  "notices",         :limit => 1,   :default => 0,     :null => false
    t.integer  "user_id"
    t.string   "quickuser"
    t.string   "election_method", :limit => 100, :default => "ssd"
    t.string   "type",            :limit => 100,                    :null => false
    t.boolean  "embeddable",                     :default => false, :null => false
    t.boolean  "authenticated",                  :default => true,  :null => false
    t.boolean  "early_results",                  :default => false, :null => false
  end

  add_index "elections", ["user_id"], :name => "fk_user_election"

  create_table "pictures", :force => true do |t|
    t.string  "filename",     :limit => 200
    t.binary  "data"
    t.string  "filetype",     :limit => 100
    t.integer "candidate_id"
  end

  add_index "pictures", ["candidate_id"], :name => "fk_candidate_picture"

  create_table "rankings", :force => true do |t|
    t.integer "vote_id"
    t.integer "candidate_id"
    t.integer "rank"
  end

  create_table "sessions", :force => true do |t|
    t.string   "sessid"
    t.text     "data"
    t.datetime "updated_at"
  end

  add_index "sessions", ["sessid"], :name => "session_index"

  create_table "sitealizer", :force => true do |t|
    t.string   "path"
    t.string   "ip"
    t.string   "referer"
    t.string   "language"
    t.string   "user_agent"
    t.datetime "created_at"
    t.date     "created_on"
  end

  create_table "skin_pictures", :force => true do |t|
    t.string   "filename"
    t.string   "content_type"
    t.integer  "size"
    t.integer  "width"
    t.integer  "height"
    t.datetime "created_at"
    t.integer  "user_id"
  end

  create_table "tokens", :force => true do |t|
    t.string  "token",   :limit => 100, :null => false
    t.integer "vote_id",                :null => false
  end

  add_index "tokens", ["vote_id"], :name => "fk_vote_token"

  create_table "users", :force => true do |t|
    t.text     "login"
    t.text     "ip",                                      :null => false
    t.text     "email"
    t.string   "crypted_password",          :limit => 40
    t.string   "salt",                      :limit => 40
    t.datetime "created_at"
    t.datetime "updated_at"
    t.text     "remember_token"
    t.datetime "remember_token_expires_at"
  end

  create_table "voters", :force => true do |t|
    t.string  "email",       :limit => 100
    t.string  "password",    :limit => 100
    t.integer "contacted",   :limit => 1,   :default => 0, :null => false
    t.integer "election_id",                               :null => false
    t.string  "session_id",  :limit => 32
    t.string  "ipaddress",   :limit => 32
    t.string  "type",        :limit => 100,                :null => false
  end

  add_index "voters", ["election_id"], :name => "fk_election_voter"

  create_table "votes", :force => true do |t|
    t.integer  "voter_id"
    t.integer  "confirmed", :limit => 1, :default => 0, :null => false
    t.datetime "time"
  end

  add_index "votes", ["voter_id"], :name => "fk_vote_voter"

end
